wibble::exception::File Class Reference

Base class for exceptions for file I/O. More...

`#include <exception.h>`

Inheritance diagram for wibble::exception::File:
[legend]
Collaboration diagram for wibble::exception::File:
[legend]

## Public Member Functions

| File (const std::string &name, const std::string &context) throw ()
| ~File () throw ()
virtual const char * | type () const throw ()
| Get a string tag identifying the exception type. More...
virtual std::string | desc () const throw ()
| Get the description of the error code. More...
Public Member Functions inherited from wibble::exception::System
| System (const std::string &context) throw ()
| System (int code, const std::string &context) throw ()
virtual int | code () const throw ()
| Get the system error code associated to the exception. More...
Public Member Functions inherited from wibble::exception::Generic
| Generic () throw ()
| Generic (const std::string &context) throw ()
virtual | ~Generic () throw ()
virtual const std::string & | fullInfo () const throw ()
| Format in a string all available information about the exception. More...
virtual const char * | what () const throw ()
Public Member Functions inherited from wibble::exception::Context
| Context () throw ()
| Context (const std::string &context) throw ()
void | addContext (const std::string &c) throw ()
std::string | formatContext () const throw ()
const std::vector< std::string > & | context () const throw ()

## Protected Attributes

std::string | m_name
Protected Attributes inherited from wibble::exception::System
int | m_errno
Protected Attributes inherited from wibble::exception::Generic
std::string | m_formatted
Protected Attributes inherited from wibble::exception::Context
std::vector< std::string > | m_context

## Detailed Description

Base class for exceptions for file I/O.

It is a direct child of SystemException, and has the very same semantics. Like in SystemException, the error code description provided is a description for errno values.

## Constructor & Destructor Documentation

wibble::exception::File::File | ( | const std::string & | name,
|  | const std::string & | context
| ) |  |
throw | ( |
| ) |  |

inline

wibble::exception::File::~File | ( |  | ) |
throw | ( |
| ) |  |

inline

## Member Function Documentation

virtual std::string wibble::exception::File::desc | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Get the description of the error code.

Reimplemented from wibble::exception::System.

References wibble::exception::System::desc().

virtual const char* wibble::exception::File::type | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Get a string tag identifying the exception type.

Reimplemented from wibble::exception::System.

## Member Data Documentation

std::string wibble::exception::File::m_name

protected

The documentation for this class was generated from the following file:

- exception.h